| Home | Libraries | People | FAQ | More

##### static_url::normalize_authority

Normalize the URL authority.

###### Synopsis

    static_url&
    normalize_authority();

###### Description

Applies Syntax-based normalization to the URL authority. Percent-encoding triplets are normalized to uppercase letters. Percent-encoded octets that correspond to unreserved characters are decoded.

###### Exception Safety

Strong guarantee. Calls to allocate may throw.

###### Specification

- 6.2.2 Syntax-Based Normalization (rfc3986)